Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface DesktopView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface DesktopView
extends MarkupBasedView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

The Desktop View is the highest level View object. When retrieving this object you will get all the child objects contained within the portal.

See Also:
  `View`

Method Summary
`BookView` | `getBookView()` Get the primary book for this desktop.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Get the book for a given database instance ID, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`DesktopDefinition` | `getDesktopDefinition()` Retrieve the associated `DesktopDefinition` from this Desktop View.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Getter for desktop definition id.
`DesktopInstance` | `getDesktopInstance()` Retrieve the associated `DesktopInstance` from this Desktop View.
`DesktopInstanceId` | `getDesktopInstanceId()` Getter for Desktop instance id.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this desktop.
`LookAndFeelView` | `getLookAndFeelView()` Get LookAndFeel associated with this desktop.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Get the page for a given database instance ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Get the portlet for a given database instance id, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(String instanceLabel)` Get the portlet for a given instance label, searching the entire tree of nested books.
`ShellView` | `getShellView()` Retrieve the shell for this desktop.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

  Getter for Desktop instance id. The instance id is the primary key value for the Desktop instance in the PF_DESKTOP_INSTANCE table. A Desktop Definition may have many instance these instance are created when administrators or users customize their portal. A Desktop Definition always has at least one instance namely the "primary" instance.

  Returns:
    a non null unique definition id. This value should never be null as views are constructed via the persistence API.

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Getter for desktop definition id. The definition id is the primary key value for the desktop definition in the PF_DESKTOP_DEFINITION table. The desktop definition id is a little unique in that it is not an auto generated field. It is a composite primary key derived from three fields: The web app name, the portal path and the desktop path. Desktop Definition always has at least one instance namely the "primary" instance.

  Returns:
    a non null unique definition id.

### getDesktopInstance

    public DesktopInstance getDesktopInstance()

  Retrieve the associated `DesktopInstance` from this Desktop View. Desktop Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Desktop Instance.

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

  Retrieve the associated `DesktopDefinition` from this Desktop View. Desktop Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Desktop Definition.

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this desktop.

  Returns:
    a non null LocalizationResourceView customized per the request.

### getShellView

    public ShellView getShellView()

  Retrieve the shell for this desktop. A Shell represents an area on the desktop that is created by the developer and immutable via the persistence API. Shells, however, can be swapped out on a desktop.

  Returns:
    a non null ShellView object associated with this desktop.

### getBookView

    public BookView getBookView()

  Get the primary book for this desktop. This BookView represent the main book view on the desktop.

  Returns:
    a null non BookView.

### getLookAndFeelView

    public LookAndFeelView getLookAndFeelView()

  Get LookAndFeel associated with this desktop.

  Returns:
    an non null lookAnfFeelView.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Get the book for a given database instance ID, searching the entire tree of nested books. Return null if no such book is found.

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such book is found.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Get the page for a given database instance ID, searching the entire tree of nested books. Return null if no such page is found.

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such page is found.

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Get the portlet for a given database instance id, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters:
    `portletInstanceId` - as defined in the database.
  Returns:
    a portletView if found otherwise null

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String instanceLabel)

  Get the portlet for a given instance label, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters:
    `instanceLabel` - the instance label of the portlet.
  Returns:
    a portletView if found otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved